package cn.com.countrygarden.bi.main.util.export;

import lombok.Data;
import org.jeecgframework.poi.excel.entity.params.ExcelExportEntity;

import java.util.List;

/**
 * ${DESC}
 *
 * @ClassName:CExcelExportEntity.java
 * @Description:功能描述
 * @author: lisenlin
 * @date: 2020/9/17
 */
@Data
public class CExcelExportEntity extends ExcelExportEntity {

    public CExcelExportEntity(String name, Object key, int level) {
        super(name, key);
        this.level = level;
    }

    public CExcelExportEntity(String name, Object key, int width, int level) {
        super(name, key, width);
        this.level = level;
    }

    private int totalChildCount;
    private int level;

    @Override
    public void setList(List entities) {
        super.setList(entities);
    }
}